Skip to main content

AWS Cloud Connectivity - Credentials - Update (PATCH)

This page documents the Update (PATCH) operation in the AWS Cloud Connectivity API. Use a valid JWT bearer token.

PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/credentials/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN

Parameters​

ParameterInRequiredType / default
idpathYesstring uuid
projectIdpathYesstring uuid

Request body​

JSON fieldRequiredType / notes
nameNostring: aws credentials name
descriptionNostring: aws credentials description
apiKeyNostring: api key on aws
secretKeyNostring: secret key on aws
expirationDateNostring date: expiration date of the aws credentials

Response​

Successful response: 200. ok Response schema: object.